I'm doing the usual workaround to get s3ql on top of acd using unionfs to 
merge a local s3ql file system in RW mode with some additional data files 
stored in ACD and mounted through acd_cli in RO.

It works well when it works, but occasionally s3ql will crash with an error 

2016-10-15 02:39:42.163 7460:MainThread s3ql.mount.unmount: Unmounting file 
2016-10-15 02:39:42.237 7460:MainThread root.excepthook: Uncaught top-level 
Traceback (most recent call last):
  File "/usr/lib/s3ql/s3ql/block_cache.py", line 740, in _get_entry
    el = self.cache[(inode, blockno)]
KeyError: (257, 45)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/mount.s3ql", line 9, in <module>
    load_entry_point('s3ql==2.15', 'console_scripts', 'mount.s3ql')()
  File "/usr/lib/s3ql/s3ql/mount.py", line 214, in main
  File "src/llfuse/fuse_api.pxi", line 319, in llfuse.capi.main 
  File "src/llfuse/handlers.pxi", line 328, in llfuse.capi.fuse_read 
  File "src/llfuse/handlers.pxi", line 329, in llfuse.capi.fuse_read 
  File "/usr/lib/s3ql/s3ql/fs.py", line 1039, in read
    tmp = self._readwrite(fh, offset, length=length)
  File "/usr/lib/s3ql/s3ql/fs.py", line 1116, in _readwrite
    with self.cache.get(id_, blockno) as fh:
  File "/usr/lib/python3.5/contextlib.py", line 59, in __enter__
    return next(self.gen)
  File "/usr/lib/s3ql/s3ql/block_cache.py", line 718, in get
    el = self._get_entry(inode, blockno)
  File "/usr/lib/s3ql/s3ql/block_cache.py", line 775, in _get_entry
    backend.perform_read(do_read, 's3ql_data_%d' % obj_id)
  File "/usr/lib/s3ql/s3ql/backends/common.py", line 107, in wrapped
    return method(*a, **kw)
  File "/usr/lib/s3ql/s3ql/backends/common.py", line 314, in perform_read
    fh = self.open_read(key)
  File "/usr/lib/s3ql/s3ql/backends/comprenc.py", line 156, in open_read
    fh = self.backend.open_read(key)
  File "/usr/lib/s3ql/s3ql/backends/local.py", line 83, in open_read
    fh.metadata = _read_meta(fh)
  File "/usr/lib/s3ql/s3ql/backends/local.py", line 245, in _read_meta
    buf = fh.read(9)
OSError: [Errno 70] Communication error on send

It's probably just some temporary error for whatever network reason. Is 
there anyway to get s3ql to ignore and retry on these errors?


You received this message because you are subscribed to the Google Groups 
"s3ql" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to s3ql+unsubscr...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to